Readme Title Page

PC-DMIS® NC Gage v2.2

- Release Notes -


Recommended System Requirements

  • PC-DMIS NC Gage operates under Windows XP 32-bit or Windows XP 64-bit (x64) Operating System or higher (Vista, Win7).

  • 2 GHz or higher Intel Pentium 4 or higher processor recommended

  • 500 Mb of RAM or higher

  • 500 Mb of free hard drive space

  • SVGA graphics card capable of OpenGL shading with at least 64 MB Video RAM and WHQL (Microsoft Windows Hardware Quality Labs) certified drivers. (WHQL drivers can be downloaded automatically when using the Windows Update software.)

  • Microsoft .NET 2.0

  • SVGA capable monitor

  • Screen resolution of 1024 x 768 or higher

  • 2 USB Ports

Controller Requirements:

  • 100 Kb free memory

  • 35 available registry variables

  • If Fanuc based controller - Focus B Support, High Speed Skip, and an Ethernet connection

ANTI-VIRUS SOFTWARE: The Sophos Anti-virus tool was used by Hexagon Metrology while testing PC-DMIS NC Gage. The performance of any other anti-virus tool will need to be confirmed by the user.

http://sophos.com/products/enterprise/endpoint/security-and-control/


Installing PC-DMIS NC Gage

To install PC-DMIS NC Gage, follow these steps:

  • Step 1: Check System Requirements

  • Step 2: Log On as Administrator

  • Step 3: Back Up Existing Settings and Layout Data Files

  • Step 4: Install PC-DMIS NC Gage

  • Step 5: Launch PC-DMIS NC Gage for the First Time

  • Step 6: Launch PC-DMIS NC Gage Configuration Tool


Step 1: Check System Requirements

Ensure that your computer system meets the minimum system requirements. Before you attempt to install a new PC-DMIS NC Gage version, ensure that you meet the system requirements. Contact your local IT support to assist you.

  • To get your computer's properties, highlight the My Computer icon, right-click on it, and select Properties.

  • To check the display properties for the graphics card, select Start | Settings | Control Panel, and then select Display and Settings.


Step 2: Log On As Administrator

Step 2: Login as an Administrator

To install and run your new PC-DMIS NC Gage version for the first time, you must be logged on to the targeted PC as a user with administrator privileges.


Step 3: Back Up Existing Settings and Layout Data Files

Back up your programs, probe files, reports, and statistics from your previous version.

  • These directories will be in the “\Users\Public\Documents\WAI\PC-DMIS NC Gage” subdirectory for Windows 7 systems.

  • These directories will be in the “Documents and Settings\All Users\Shared Documents\WAI\PC-DMIS NC Gage” subdirectory for Windows XP systems.

By default, PC-DMIS NC Gage will attempt to utilize existing support files from previous installs on the same computer.


Step 4: Install PC-DMIS NC Gage

Locate the PC-DMIS NC Gage install file on your installation media; or, if you downloaded it, open the directory containing the downloaded file.

Double-click on the executable (.exe) file to begin the installation process. If presented with a security warning, click Run.

The files will be extracted to a temporary directory.

The main setup interface screen is displayed:

Click Next to start the installation process.

The Choose Setup Type screen appears:

For a new installation, choose a setup type.

  • Typical: This option sends the file to this default installation location: C:\Program Files\WAI\PC-DMIS NCGage 2.2\.

  • Custom: This option lets you specify what components to install as well as the installation location. You'll see this screen:

Customize Installed Features

By default, all program components are selected to be included in the installation. You can use the tree view to customize when or if these features are installed. To do this, click small drop-down icon [image] next to the component to exclude. You'll see a drop down list.

Choose the desired option:

  • Will be installed on local hard drive - The selected feature will be installed.

  • Entire feature will be installed on local hard drive - The entire feature will be installed. This means sub-features of the selected feature will also be installed.

  • Feature will be installed when required - The feature will only be installed if required during the installation process. Some files are informational and are not required for the application to run. These may include documentation or other files.

  • Entire feature will be unavailable - This excludes the component from installation.

Click Reset at any time to reset the items to the default selection.

Customize Installation Location

By default the program installs to this location "C:\Program Files\WAI\" under the "PC-DMIS NCGage 2.2" directory. To change the default location, click the Browse button and navigate to the directory on your computer you want to hold the program files. When you click OK the Location field will change to show the selected location.

Click Next when finished customizing the install.

Once the installation has all the information it needs, you'll see the Ready to Install screen:

Click Install to proceed with the main installation.

Once installation finishes, you'll see this final screen:

  • Launch PC-DMIS NC Gage after the install finishes - Marking this check box launches the application once you click Finish.

  • Display Release Notes - Marking this check box will launch the Release Notes documentation for this version of NC Gage.

Click Finish to close the installation program. PC-DMIS NC Gage 2.2 is now installed. NC Gage will start if the option to Launch PC-DMIS NC Gage after the install finishes but will need a license file. Instructions for generating a license request and installing a license are listed below.


Step 5: Launch PC-DMIS NC Gage for the First Time

  1. For most users when running this version of NC Gage for the first time, ensure you are logged on as an administrator. Then select Start | All Programs | PC-DMIS NC Gage 2.2 | PC-DMIS NCGage. For Windows 7 users, from the list of shortcuts, right-click on the PC-DMIS NC Gage icon (or right-click the desktop shortcut icon), and then manually select Run as Administrator. Start NC Gage by clicking the NC Gage icon from the list of shortcuts (or double-click the desktop shortcut icon).

  2. Perform licensing of the product as required.

  3. NC Gage will then start. NC Gage will not connect to the machine tool until it has been configured. Please refer to the Appendix section of the NC Gage help to assist in the configuration of the NC Gage application.


Step 6: Launch PC-DMIS NC Gage Configuration Tool

  1. Choose Start, All Programs, PC-DMIS NC Gage 2.2, and then NCGage Configuration Tool.

  2. Refer to the Appendix in the NC Gage help file.


Information about this Release

We at Hexagon Metrology are proud to bring you this new version of PC-DMIS NC Gage 2.2. PC-DMIS NC Gage provides an easy-to-use product for online part measurement using NC machine tools. NC Gage can enhance your machine part productivity by providing you with a simple user interface that enables you to learn offsets and inspect features.

NC Gage enables you to:

  • Update work offsets

  • Inspect features

  • Construct features

  • Dimension features

  • Create, save, and print reports

Should you experience problems with your system after the installation of PC-DMIS NC Gage, please call Technical Support immediately to report any integration problems.

For existing users of PC-DMIS NC Gage who currently have earlier versions of PC-DMIS NC Gage installed, it is advised that PC-DMIS NC Gage v2.2 be installed into a new directory. In this way you can be assured of continuous use of the existing version should problems arise with this newer version.

Notes:

Manual probing is only available on some Fanuc controllers.


New Product Information

PC-DMIS NC Gage v2.2.1 Release Enhancements and Fixes

See the "Release Notes - 2.2.1" topic for details on the latest release enhancements and fixes.

PC-DMIS NC Gage v2.2 Release Enhancements and Fixes

See the "Release Notes - 2.2" topic for details on the latest release enhancements and fixes.


Release Notes - v2.2.1

v2.2.1 of PC-DMIS NC Gage is a Service Pack release of the software.

Service Pack Release Date: June 2, 2014

**** Prior to the release of PC-DMIS NC Gage v2.2.1, version 2.2 was the last official release by Hexagon Metrology.

Core

Fixes

NCG-4574 - Fixed an issue where reports were always overwritten when NC-Gage was closed and then re-opened. As a result of this fix, the Report Save Option area on the Setup screen was redesigned as follows:

  • The Timestamp option was added. If you select this option, NC Gage automatically saves each report to the location specified in the Saved Path box.

  • The Overwrite and Timestamp options become available when you select the Auto Save check box.

  • The Auto Increment option and Index box were removed.


Release Notes - v2.2

v2.2 of PC-DMIS NC Gage is a significant development release of the software.

Major Release Date: February 28, 2014

**** Prior to the release of PC-DMIS NC Gage v2.2, version 2.1 MR1 was the last official release by Hexagon Metrology.

PC-DMIS NC Gage v2.2 Release Enhancement and Fix Listings

  • Core

  • Documentation

  • Machine Interface

  • User Interface


Core

Enhancements

NCG-2722 - Added functionality to NC Gage to allow negative tolerance zones to conform to Asian prints.

NCG-3466 - Made functional enhancements to the Sphere Calibration screen to enable 3D find for wrist machines.

Fixes

NCG-3147 - Fixed issue to prevent the NC Gage .dat file from being loaded during the Load Configuration process.


Documentation

Enhancements

NCG-2615 - NC Gage help is now translated into Korean language.

Fixes

NCG-597 - Fixed issue where the wrong help was being displayed for the Okuma Direct Connect mode.


Machine Interface

Enhancements

NCG-2885 - Added the capability of supporting tool number addresses other than #4120.


User Interface

Enhancements

NCG-1242 - Added the Start Program Macro and End Program Macro text boxes into the Probe tab of the Configuration Tool.

NCG-3102 - Added calculated Average Length value to the Wrist Calibration report.

NCG-3269 - Added the functionality of projecting a circle bore to a previously measured plane or point in order to measure on angled surfaces.

NCG-3429 - Added the functionality of extending the write rotary calibration data to a control to support wrist calibration.

Fixes

NCG-2497 - Fixed the issue where the Time of Measurement did not appear on the Report in DC mode.

NCG-2582 - Fixed the issue causing the Main menu icons to disappear.

NCG-3118 - Fixed the issue causing the functionality of the function key to be unstable.


Troubleshooting

This topic provides information for you to troubleshoot installation, startup, and software update problems.


Contact Hexagon Metrology

For information and technical support inquiries regarding the commercially released version of PC-DMIS NC Gage v2.2, please contact http://hexagonmetrology.us/contact-us or visit www.pcdmis.com. Hexagon Metrology Technical Support can also be reached by calling (800) 343-7933.